Last updated on September 13, 2017

Supported web browsers


The following table lists recommended web browser versions to use the Appspace platform.


Browser Windows 8.1 Mac OS X
Chrome 51.0.2704.106 (64-bit) 51.0.2704.106 (64-bit)
Firefox 47.0.1 47.0.1
Safari Desktop 5.1.7 (7534.57.2) 9.1.1
Internet Explorer 11 11.0.22 (11.0.9600.17959) -
Microsoft Edge 40.15063.0.0 -

Note

  • Browser versions prior to the ones listed above have not been tested on the latest version of Appspace, and may have limited functionality.


  • In Chrome version 45 and later, NPAPI plug-ins are not supported. In Appspace, Networks uses a Java plug-in for the online device registration tool of legacy devices. Switch to another browser if you are unable to run Java plug-ins.


  • In Chrome version 55 and later, Flash is disabled by default, and there may be issues rendering some signs or widgets. To enable Adobe Flash player on Chrome, follow the instructions in the ‘Enable for Chrome’ article: https://helpx.adobe.com/flash-player/kb/enabling-flash-player-chrome.html

Other Browser Requirements

  • Flash Player – version 11 and above.
  • Java Runtime Environment – version 7.45 and above.
  • Enable JavaScript on your browser.
  • Disable pop-up blockers.
  • Minimum screen resolution of 1024×768 is recommended.